## Typing stubs for flake8

This is a [PEP 561](https://peps.python.org/pep-0561/)
type stub package for the [`flake8`](https://github.com/pycqa/flake8) package.
It can be used by type-checking tools like
[mypy](https://github.com/python/mypy/),
[pyright](https://github.com/microsoft/pyright),
[pytype](https://github.com/google/pytype/),
[Pyre](https://pyre-check.org/),
PyCharm, etc. to check code that uses `flake8`. This version of
`types-flake8` aims to provide accurate annotations for
`flake8==7.2.*`.

This package is part of the [typeshed project](https://github.com/python/typeshed).
All fixes for types and metadata should be contributed there.
See [the README](https://github.com/python/typeshed/blob/main/README.md)
for more details. The source for this package can be found in the
[`stubs/flake8`](https://github.com/python/typeshed/tree/main/stubs/flake8)
directory.

This package was tested with
mypy 1.15.0,
pyright 1.1.398,
and pytype 2024.10.11.
It was generated from typeshed commit
[`740a5ee9017281c89249ea4c546913f21b17c376`](https://github.com/python/typeshed/commit/740a5ee9017281c89249ea4c546913f21b17c376).